@echo off
setlocal

REM ################### Set the JDK1.2.2 directory
set JDK=d:\java2

REM ################### Set the XML Diff and Merge Tool directory
set XMLDIFF=d:\xml\xmldiff

if not exist %JDK%\bin\java.exe @echo ****** ERROR: JDK must point to the install for java 2


if not exist %XMLDIFF%\lib\xmldiff.jar @echo ****** ERROR: XMLDIFF must point to the Compare and Merge Tool directory
if not exist %XMLDIFF%\lib\xmldiff.jar goto end
if not exist %XMLDIFF%\lib\ivbjfaceall.jar goto end

set PATH=%XMLDIFF%\bin;%JDK%\bin;%PATH%
set CLASSPATH=%XMLDIFF%\lib\xmldiff.jar;%XMLDIFF%\lib\ivbjfaceall.jar;%XMLDIFF%\lib\xml4j.jar;%XMLDIFF%\config;

@echo on

java -DIVB_HOME="%XMLDIFF%" -Xnoclassgc -Xmx255m -Xms30m  com.ibm.ivb.xmldiff.XMLDiffLauncher %1 %2

:end
@echo off
endlocal
